## org.apache.lucene.search
Interface NRTManager.WaitingListener

All Known Implementing Classes:
  NRTManagerReopenThread

Enclosing class:
  NRTManager

    public static interface NRTManager.WaitingListener

NRTManager invokes this interface to notify it when a caller is waiting for a specific generation searcher to be visible.

Method Summary
`void` `waiting(long targetGen)`

Method Detail

### waiting

    void waiting(long targetGen)

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.